/*------------------------------------------------------------------------------
	This is part of the PureLS Source code.

	Copyright (C) 2000-2003 The PureLS Development Team

    This program is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation; either version 2 of the License, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this program; if not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
------------------------------------------------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#include "common.h"

/*----------------------------------------------------------------------------*/

#define NUM_WAIT_OBJECTS  (3)

#define LITESTEP_THREAD   (0)
#define SERVICES_THREAD   (1)
#define STARTUP_THREAD    (2)

/*----------------------------------------------------------------------------*/

#define CMD_LINE__STARTUP_DISABLE (0)
#define CMD_LINE__STARTUP_FORCE   (1)

#define CMD_LINE__INSTANCE_SINGLE (0)
#define CMD_LINE__INSTANCE_MULTI  (1)



/*----------------------------------------------------------------------------*/

extern VOID UnloadLitestepModuleSystem( VOID );
extern VOID LoadLitestepModuleSystem( VOID );
extern VOID UnloadStartupItems( VOID );
extern VOID UnloadShellServices( VOID );
extern VOID UnloadConfig( VOID );
extern VOID LoadConfig( VOID );
extern VOID UnloadServices( VOID );
extern VOID LoadServices( VOID );

/*----------------------------------------------------------------------------*/

#endif /* __MAIN_H */

/*--------End Of File---------------------------------------------------------*/
